<?php

define("LAST_EDIT", "19th May 2010");

/* Descriptions */
define("NAME", "Xavi");
define("SURNAME", "Esteve");
define("PROFESSION_SHORT", "Front End Developer");
define("PROFESSION_LONG", "Front End Web Developer &amp; Graphic Designer");

/* Details */
define("PHONE", "+44 (0)79 7710 9394");
define("ADDRESS_STREET", "West Hampstead");
define("ADDRESS_POST_CODE", "NW6");

/* URLs */
define("EMAIL", "xavi@xaviesteve.com");

define("WEBSITE", "http://xaviesteve.com");
define("WEBSITE_FRIENDLY", "xaviesteve.com");
define("BLOG", "http://xaviesteve.com");
define("RSS2", "http://xaviesteve.com/feed/");
define("RSS92", "http://xaviesteve.com/feed/rss/");
define("ATOM", "http://xaviesteve.com/feed/atom/");

/* PATHS (with trailing slash) */
define("CV_WEB_PATH", "http://xaviesteve.com/webcv");
define("CV_WEB_PATH_FRIENDLY", "xaviesteve.com/webcv");
define("CV_DOC_PATH", "http://xaviesteve.com/curriculumvitae_xaviesteve.doc");

define("CSS_PATH", "");

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/xhtml; charset=UTF-8" />
	<title><?=NAME?> <?=SURNAME?> <?=PROFESSION_SHORT?> - Curriculum Vitae</title>
	<link rel="profile" href="http://microformats.org/profile/hcard" />
	<?php if (stristr($_SERVER['HTTP_USER_AGENT'], 'iPhone') || $_GET['v']=="iphone") { ?>
	<link media="screen" href="<?=CSS_PATH?>mobile.css" type="text/css" rel="stylesheet" />
  <meta name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
	<?php }else{ ?>
	<link media="only screen and (max-device-width: 480px)" href="<?=CSS_PATH?>mobile.css" type="text/css" rel="stylesheet" /> 
		<!-- add ?v=iphone to the URL to force the iPhone view -->
  <link rel="stylesheet" href="<?=CSS_PATH?>style.css" type="text/css" media="screen"  />
	<?php } ?>
  <link rel="stylesheet" href="<?=CSS_PATH?>print.css" type="text/css" media="print"  />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?=RSS2?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?=RSS92?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?=ATOM?>" />
</head>
<body id="curriculumvitae">

<div id="canvas">
<!-- 
	Curriculum Vitae by Xavi Esteve
	
	This is my professional CV. It is not a conventional CV, I found that the common structure of CVs is not suitable for Web Design and Development.
	So I planned to start a new CV format from scratch, adapting it as much as possible and making it both intuitive and human-friendly.
	I have coded my CV with the best XHTML and CSS, using concise tags and keeping it simple and detailed it with all the specifications I could find on microformats.
	
	Licensed under Creative Commons Share-Alike 3.0 license. Use as you want, cite if you want.
	But send me a copy if you create another version please.
	
-->


	<div class="page pagefirst">
	
			<h1><?=NAME_AND_SURNAME?> <span><?=PROFESSION_LONG?></span></h1>
			<p class="subh1">Curriculum Vitae<br />
			Microformat friendly<br />
			<?=LAST_EDIT?></p>
            <p class=" subh1-print onlyprint">A microformat friendly CV is available at <a href="<?=CV_WEB_PATH?>"><?=CV_WEB_PATH_FRIENDLY?></a></p>

			<h4 id="statement">Passionate, enthusiastic and hard worker. Enjoy working in a team, share ideas and knowledge and listen from feedback. Realistic and Optimistic. Stress and deadline-proof. Willing to grow in a challenging environment.</h4>
            
	<div id="contact" class="hCard vcard">
			<p class="fn n" lang="ca">Name: <strong><span class="given-name"><?=NAME?></span> <span class="family-name"><?=SURNAME?></span></strong></p>
			<p>Job Title: <span class="title"><?=PROFESSION_LONG?></span></p>
			
			<p>Website: <a href="<?=WEBSITE?>" class="url personal"><?=WEBSITE_FRIENDLY?></a></p>
			<p>Portfolio: <a href="http://www.behance.net/xaviesteve" class="url portfolio">behance.net/xaviesteve</a></p>
			<p>E-mail: <a href="mailto:<?=EMAIL?>" class="email"><?=EMAIL?></a></p>
			<p class="tel"><span class="type">Phone</span>: <span class="pref"><?=PHONE?></span></p>
			<p class="adr">Address: <span class="street-address"><?=ADDRESS_STREET?></span>, <span class="postal-code"><?=ADDRESS_POST_CODE?></span> (<span class="locality region">London</span>)</p>
		</div>
		
		
		<div id="skills">
			<h2>Skills</h2>
			
			<h3 id="front-end-development">Front End Web Development</h3>
			
			<p><strong>Clean code</strong>, <strong>Usability</strong>, <strong>Accessibility</strong>, organic <strong><abbr title="Search Engine Optimization">SEO</abbr></strong>, <strong>progressive enhancement</strong> and graceful degradation, Information Architecture.</p>
		  <p><strong><abbr lang="en" title="Extensible Hypertext Markup Language" class="skill">XHTML</abbr></strong>, <strong><abbr lang="en" title="Cascading Style Sheets" class="skill">CSS</abbr></strong> (including Blueprint, 1KB grid and other frameworks and Zen Coding),</p>
		  <p><strong>HTML5</strong> and <strong>CSS3</strong> (keeping myself updated), <strong><abbr lang="en" title="Extensible Markup Language">XML</abbr></strong>/<abbr lang="en" title="Really Simple Syndication">RSS</abbr>.<br />
	<strong>JavaScript</strong> (including <strong>jQuery</strong> framework), <strong><abbr lang="en" title="Asynchronous JavaScript and XML">AJAX</abbr></strong> and several Web Service Protocols (<abbr lang="en" title="Simple Object Access Protocol">SOAP</abbr>, <strong><abbr lang="en" title="JavaScript Object Notation">JSON</abbr></strong>&hellip;), <strong>microformats</strong>.</p>
			<p>Exposure to high-traffic websites and scalability.<br />
				Looking forward to <strong>HTML5</strong>, <strong>CSS3</strong> and JavaScript 2.</p>
				
			<p class="software">Software: Panic Coda, Adobe Dreamweaver and Firebug.</p>
			
			
			
			<h3 id="back-end-development">Back End Web Development</h3>
			
			<p><strong><acronym lang="en" title="Hypertext Preprocessor">PHP4</acronym></strong> and <strong><acronym lang="en" title="Hypertext Preprocessor">PHP5</acronym></strong> (<strong><abbr lang="en" title="Model-View-Controller">MVC</abbr></strong>, <abbr lang="en" title="Object Oriented Programming">OOP</abbr> programming) including several <strong><abbr lang="en" title="Content Management System">CMS</abbr></strong>, <strong>Wordpress</strong> and <strong>Flourish</strong> framework (a bit of CodeIgniter); elemental <abbr lang="en" title="Active Server Pages">ASP</abbr>.<br />
Database management (<strong><abbr lang="en" title=" Michael Structured Query Language">MySQL</abbr></strong>, Oracle, <abbr lang="en" title="Microsoft Structured Query Language">MSSQL</abbr>, Access).<br />
<strong>Apache</strong> (including <abbr lang="en" title="Client URL Request Library">cURL</abbr>, mod_rewrite and other modules), <abbr lang="en" title="Internet Information Server">IIS</abbr> server administration/setup and knowledge of several public <strong><abbr lang="en" title="Application Programming Interface">API</abbr></strong> (<strong>Twitter</strong>, Google Maps, OpenID, <strong>Facebook</strong>/<strong><abbr title="Facebook Markup Language">FBML</abbr></strong>/<strong><abbr title="Facebook JavaScript">FBJS</abbr></strong>&hellip;).<br />
Code optimization, scalability and debugging. Web security (SQL Injection, <abbr lang="en" title="Cross-site Scripting">XSS</abbr>...).</p>
			
			<p class="software">Software: Panic Coda, Adobe Dreamweaver and FirePHP.</p>
			
			
			
			<h3 id="ui-design">User Interface Design</h3>
			
			<p>Wireframing and designing of user interfaces and websites designs focusing on usability and clearness.</p>
			<p>Table-less cross-browser hand-coded 100% <strong>valid CSS2-3/XHTML</strong> (following <strong><abbr title="World Wide Web Consorcium">W3C</abbr> standards</strong>) to ensure the best formatting and the fastest code possible in <strong><abbr title="Internet Explorer 6">IE6</abbr></strong> to 8, Firefox, Opera, Safari, Chrome and <strong>iPhone</strong>. <strong>Theme design</strong> for several CMS and blogs. Multivariate/split testing.</p>
			
			<p class="software">Software: Adobe Fireworks, Adobe Photoshop and Adobe Flash.</p>



			<h3 id="graphic-design">Graphic Design</h3>
			<p>Both Digital and Printed formats. Design of posters, flyers, vouchers, leaflets and templates following branding specifications, typography, structure, balance, colour theory and an eye for design. </p>

			<p class="software">Software: Adobe Photoshop, Adobe InDesign, Adobe Illustrator, Macromedia Freehand, QuarkXpress and Macromedia Freehand.</p>



			<h3 id="multimedia">Multimedia</h3>
			<p>Sound recording, mixing and edition. Video recording and edition. Passion for photography.</p>
			
			<p class="software">Software: Adobe Premiere, Cubase, Traktor and Audacity.</p>
			
			
			
			<h3 id="miscellaneous">Miscellaneous</h3>
			
			<p><strong>Unix</strong> (<abbr title="Hewlett Packard UniX">HP UX</abbr>) and <strong><acronym title="GNU's Not Unix">GNU</acronym>/Linux</strong>  distributions <strong>console</strong> (Red Hat, Debian, Ubuntu, etc...). </p>
			<p>Mac <strong>OSX</strong>, <strong>Windows</strong> XP/Vista, Windows Server, iOS (all at administration level).</p>
			<p><strong><abbr title="Secure Shell">SSH</abbr></strong> and <abbr title="File Transfer Protocol">FTP</abbr>. <strong>SVN</strong> (console mode).</p>
<p>Agile software development (<strong>SCRUM</strong>). Advanced Microsoft Excel, Word and Powerpoint.</p>
      <p>Professional translation services from English to Spanish and vice versa. Specialized in Tech and Design.</p>
			<p>Visual Basic 6, VBS, <strong><abbr lang="en" title="Regular Expressions">RegEx</abbr></strong>, Hardware maintenance and basic Cisco networking.</p>
			<p>Familiar with documentation, reporting and time-tracking.</p>
			
			<p class="software">Software: PuTTY, WinSCP, Adobe Acrobat, Adobe Premiere, Cubase, Reason and Audacity.</p>
		
		</div><!--/skills-->
		
		<div id="languages">
			<h2>Languages</h2>
			
			<p>Proficient: <span id="proficient_languages"><span class="skill language high">English</span>, <span class="skill language high">Spanish</span> and <span class="skill language high">Catalan</span>.</span></p>
			<p>Elemental: <span id="elemental_languages"><span class="skill language low">Italian</span> and <span class="skill language low">French</span>.</span></p>
			
		</div><!--/languages-->
		
	</div><!--.page-->
	<div class="page">
	
		<div id="employment">
		
			<h2>Employment</h2>
			
			<ol>
				<li class="experience">
					<p class="dt"><span class="dtstart" title="2009-10-01">Oct 2009</span> - <span class="dtend" title="2010-<?php echo date("y-m-d");?>">Present</span></p>
					<p><strong class="title">Lead Front-End Web Developer</strong>
						<em class="org">Net Media Planet</em> <span class="location">London</span></p>
					<p class="summary">Working closely with a graphic designer, two back-end developers and three journalists. Complete front end website development solutions in XHTML/CSS, PHP5, MySQL, jQuery/JavaScript and AJAX/JSON. Usability improvements, SEO and theme designs. Providing ideas and feedback on how to improve current and future projects. Weekly knowledge sharing with other members of the team.</p>
				</li>
				<li class="experience">
					<p class="dt"><span class="dtstart" title="2005-06-01">Jul 2005</span> - <span class="dtend" title="<?php echo date("y-m-d");?>">Present</span></p>
					<p><strong class="title">Freelance Web Developer</strong></p>
					<p class="summary">Consultant and complete web site design and development solutions running Apache server (PHP5, MySQL, AJAX). Usability improvements, SEO and theme designs.</p>
				</li>
				<li class="experience">
					<p class="dt"><span class="dtstart" title="2007-06-01">Mar 2007</span> - <span class="dtend" title="2009-07-01">Jul 2009</span></p>
					<p><strong class="title">Web Developer and Graphic Designer</strong>
					<em class="org">Agilent Technologies</em> <span class="location">Barcelona</span></p>
					<p class="summary">Developing, designing and improving several internal and external web sites for the company (main site has 20,000 unique visits per month). Tested real clients from different nationalities into usability testings for the Onboarding web site. I have also created automation JavaScript scripts to enhance and speed the sourcing process of the recruiters worldwide. With extensive knowledge of the company's branding and style specifications, I was in charge of designing printed media like brochures, flyers, posters and corporate images for internal campaigns like the Friend Referral as well as the Recent Graduate Hiring Campaigns for Universities and events in Europe, USA and Asia. Other tasks involved the launching and analysis of monthly online surveys to more than 500 candidates or creating parsers to convert PDF resumes to Access databases and XML format.</p>
				</li>
				
				<li class="experience">
					<p class="dt"><span class="dtstart">Nov 2006</span> - <span class="dtend">Aug 2009</span></p>
					<p><strong class="title">Front &amp; Back-End Web Developer</strong>
					<em class="org">Rola Visons</em></p>
					<p class="summary">Programming under PHP/MySQL. CMS, blog, wiki and database system implementation, maintenance and support. Development and maintenance of several websites and servers. Digital photography makeover. Web server setup and configuration. Working in-house.</p>
				</li>
				
				<li class="experience">
					<p class="dt"><span class="dtstart" title="2009-06-01">Jun 2005</span> - <span class="dtend">Sep 2005</span></p>
					<p><strong class="title">IT Department Internship</strong>
					<em class="org">Landini Ib&eacute;rica</em></p>
					<p class="summary">Web maintenance and employee support.</p>
				</li>
				
			</ol>
			
		</div><!--/employment-->
		
		<div id="awards">
		
			<h2>Awards &amp; Recognitions</h2>
			
			<ul>
				<li class="vevent"><p class="dt"><span class="dtstart" title="2009-06-01">Jun 2009</span></p>
					<p><strong class="title">Manpower Excellence 2009</strong> <span class="location">Spain</span></p>
					<p class="summary">For my excellent performance and motivation in my daily tasks at Agilent Technologies.</p>
				</li>
				
				<li class="vevent"><p class="dt"><span class="dtstart" title="2009-04-01">Apr 2009</span></p>
					<p><strong class="title">NACE Innovation Excellence Award 2009</strong> <span class="location">USA</span></p>
					<p class="summary">Designer and Developer of the &quot;Green Giveaway&quot; Initiative.</p>
				</li>
					
				<li class="vevent"><p class="dt"><span class="dtstart" title="2008-11-01">Nov 2008</span></p>
					<p><strong class="title">Agilent Sr. HR VP Personal Recognition</strong></p>
					<p class="summary">Designer in charge of the UC Davis Campaign (CA, USA).</p>
				</li>
			</ul>
			
	</div><!--/awards-->
	
	</div><!--.page-->
		<div class="page">
			<div id="education">
			
				<h2>Education</h2>
				
				<ul>
				
					<li class="education">
						<p class="dt"><span class="dtstart" title="2005-06-01">Jan 2005</span> - <span class="dtend" title="<?php echo date("y-m-d");?>">Present</span></p>
						<p><strong class="title">Self Taught Web Development and Graphic Design</strong></p>
						<p class="summary">Reading books, blogs, news and tutorials to keep myself in the loop of the latest market trends and technology resources available through web seminars, guru blogs feeds <small>(Jacob Nielsen, TechCrunch, Error500, Google Code, Gmail and Webmaster Central blogs, Dirson, Fuel your Creativity, Smashing Magazine, I Love Typography, jQuery Blog, NetTuts and TED amongst others)</small>.</p>
					</li>
					
					<li class="education">
						<p class="dt"><span class="dtstart" title="2005-06-01">Sep 2006</span> - <span class="dtend" title="2009-06-01">Jun 2009</span></p>
						<p><strong class="title">Computer Systems Administration</strong>
						<em class="org">Stucom Study Centre</em></p>
						<p class="summary"><strong>Web Development</strong> (XHTML, CSS, PHP, ASP), <strong>Database management</strong> (MySQL, Oracle, MSSQL, Access), <strong>Graphic Design</strong> (Photoshop, Fireworks, InDesign), <strong><abbr title="Cisco Certified Network Associate Routing &amp; Switching">CCNA</abbr> Networking</strong>, Cisco Wireless Technologies, <strong>GNU/Linux</strong>, Windows Server, C, C++, Visual C#.<br />
						Final qualification: 7 out of 10.<br />
						Essay qualification: 10 out of 10 (a web 2.0 collaborative calendar).</p>
					</li>	
						
					<li class="education">
						<p class="dt"><span class="dtstart" title="2008-11-01">Nov 2008</span> - <span class="dtend" title="2009-02-01">Feb 2009</span></p>
						<p><strong class="title">Marketing Course</strong> 
						<em class="org">EADA</em>
						<p class="summary">Final qualification: 8 out of 10.</p>
					</li>
								
					<li class="education">
						<p class="dt"><span class="dtstart" title="2009-03-01">Mar 2009</span></p>
						<p><strong class="title">Test of English as a Foreign Language (TOEFL iBT)</strong></p>
						<p class="summary">Qualification: 112 out of 120.</p>
					</li>
					
					<li class="education">
						<p class="dt"><span class="dtstart" title="2005-09-01">Aug 2005</span></p>
						<p><strong class="title">Advanced Certificate in English</strong>
						<em class="org">Basil Paterson</em> <span class="location">Scotland</span></p>
					</li>
					
					<li class="education">
						<p class="dt"><span class="dtstart" title="2005-01-01">Jan 2005</span> - <span class="dtend" title="<?php echo date("y-m-d");?>">Present</span></p>
						<p><strong class="title">Online courses</strong></p>
						<p class="summary">PHP5 (OOP programming), AJAX &amp; jQuery, Usability, Accessibility, W3C Standards, PHP &amp; Web Security, Google Analytics, Regular Expressions.</p>
					</li>
					
					<li class="education">
						<p class="dt"><span class="dtstart" title="2002-02-01">Feb 2002</span></p>
						<p><strong class="title">First Certificate in English</strong>
						<em class="org">Cambridge University</em></p>
					</li>
				</ul>
			</div><!--/education-->
			
			<div id="references">
				<h2>References</h2>

				<p>Visit <strong><a class="url personal" href="http://xaviesteve.com/">xaviesteve.com</a></strong> to see my personal website and some projects.</p>
				<p>Check my most up-to-date portfolio at the <strong><a class="url portfolio" href="http://www.behance.net/xaviesteve">Behance Network</a></strong><span class="onlyprint"> (http://www.behance.net/xaviesteve)</span>.</p>
				<p>Connect with me on <strong><a class="url references" href="http://www.linkedin.com/in/xaviesteve">LinkedIn</a></strong><span class="onlyprint"> (http://www.linkedin.com/in/xaviesteve)</span> to read my professional recommendations.</p>
			</div><!--/references-->
			
		</div><!--.page-->
	</div><!--#canvas-->
	
	
	<div id="fixedmenu">
		<ul>
			<li><a href="#curriculumvitae" title="Scroll to the top"><strong><?=NAME?> <?=SURNAME?></strong> <small><?=PROFESSION_SMALL?></small></a></li>
			<li><a href="#skills" title="">Skills</a>
				<ul>
					<li><a href="#front-end-development" title="Front End Web Development">Front End Web Development</a></li>
					<li><a href="#back-end-development" title="Back End Web Development">Back End Web Development</a></li>
					<li><a href="#ui-design" title="User Interface Design">User Interface Design</a></li>
					<li><a href="#graphic-design" title="Graphic Design">Graphic Design</a></li>
					<li><a href="#multimedia" title="Multimedia">Multimedia</a></li>
					<li><a href="#miscellaneous" title="Miscellaneous">Miscellaneous</a></li>
				</ul>
			</li>
			<li><a href="#languages" title="Languages">Languages</a></li>
			<li><a href="#employment" title="Employment">Employment</a></li>
			<li><a href="#awards" title="Awards &amp; Recognitions">Awards &amp; Recognitions</a></li>
			<li><a href="#education" title="Education">Education</a></li>
			<li><a href="#references" title="References">References</a></li>
			<li>&nbsp;</li>
			<li><a href="<?=CV_DOC_PATH?>" title="Download as Microsoft Word document (.doc)"><small><strong>Download as document</strong> .doc</small></a></li>
		</ul>
	</div>
	
	<div id="gototop">
		<a href="#curriculumvitae" title="Scroll to the top">Up</a>
	</div>
	
</body>
</html>